Package org.eclipse.birt.chart.render

# Class InteractiveRenderer

java.lang.Object
org.eclipse.birt.chart.render.InteractiveRenderer

public class InteractiveRenderer extends Object

## Constructor Summary

Constructors
Constructor
Description
`InteractiveRenderer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSource(StructureSource src)`
`boolean`
`isRegisteredAction(StructureSource target, ActionType type)`
`void`
`modifyEvent(PrimitiveRenderEvent event)`
`boolean`
`registerAction(StructureSource target, ActionType type)`
Register a chart element with an interactive action
`void`
`reset()`
`void`
`setUpdateNotifier(IUpdateNotifier _iun)`
`void`
`unregisterAction(StructureSource target, ActionType type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InteractiveRenderer

public InteractiveRenderer()

## Method Details

### registerAction

public boolean registerAction(StructureSource target, ActionType type)
Register a chart element with an interactive action

Parameters:
  `target` -
  `type` -

### unregisterAction

public void unregisterAction(StructureSource target, ActionType type)

### isRegisteredAction

public boolean isRegisteredAction(StructureSource target, ActionType type)

### modifyEvent

public void modifyEvent(PrimitiveRenderEvent event)

### getSource

public String getSource(StructureSource src)

### setUpdateNotifier

public void setUpdateNotifier(IUpdateNotifier _iun)

### reset

public void reset()